.user-trainings-banner {
  margin: 0 24px;
  padding-bottom: 16px;
  font-weight: $font-light;
  font-family: $font-roboto;

  @include device-is('desktop') {
    max-width: 1280px;
    margin: 0 auto;
    padding: 0 20px 16px;
  }

  &__title {
    color: $pix-neutral-90;
    font-weight: $font-normal;
    font-size: 2rem;
    font-family: $font-open-sans;
    line-height: 2.6875rem;
    letter-spacing: 0.0093rem;
  }

  &__description {
    margin: 0;
    padding: 8px 0 32px;
    color: $pix-neutral-60;
    font-weight: $font-normal;
    font-size: 1rem;
    font-family: $font-roboto;
    line-height: 1.375rem;
    letter-spacing: 0.0093rem;
  }
}

.user-trainings-content {
  display: flex;
  flex-direction: column;
  width: 100%;
  min-height: inherit;
  margin: 24px auto;
  padding: 20px 32px;
  color: $pix-neutral-90;

  @include device-is('tablet') {
    padding: 40px 0;
  }

  &__title {
    margin: 0 0 32px;
  }

  &__container {
    width: 100%;
    margin: 0 auto;
    padding: 0 20px;

    @include device-is('desktop') {
      max-width: 1280px;
    }
  }

  &__list {
    display: grid;
    grid-template-columns: 1fr;
    padding: 0;
    column-gap: 24px;
    list-style: none;
    row-gap: 24px;

    @include device-is('tablet') {
      grid-template-columns: repeat(3, minmax(0, 1fr));
    }

    @include device-is('desktop') {
      grid-template-columns: repeat(4, minmax(0, 1fr));
    }
  }
}

.user-trainings-content-list {
  &__item {
    &:hover {
      box-shadow: 0 7px 14px 0 rgb(12 22 58 / 20%), 0 3px 6px 0 rgba($pix-neutral-110, 0.2);
    }
  }
}
